टिकटोक एपीआई
TikTok हर महीने 1 अरब से अधिक उपयोगकर्ताओं तक पहुंचता है, जो शॉर्ट-फॉर्म वीडियो, लाइव स्ट्रीम और ट्रेंड-प्रेरित खोज के माध्यम से सांस्कृतिक प्रासंगिकता के लिए महत्वपूर्ण है।
बेस URL
https://api.pressmonitor.com/tiktok/v1 प्रमाणीकरण
सभी अनुरोध Bearer टोकन प्रमाणीकरण का उपयोग करते हैं। प्रत्येक कॉल में Authorization हेडर जोड़ें।
Authorization: Bearer YOUR_TOKEN /challenge-info चुनौती जानकारी
Challenge Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| challenge_id | string | query | हां | चुनौती आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/challenge-posts चुनौती पोस्ट
Challenge Posts
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| challenge_id | string | query | हां | चुनौती आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/collection-info संग्रह जानकारी
Collection Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| collection_id | string | query | हां | संग्रह आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-info" querystring = {"collection_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/collection-posts संग्रह पोस्ट
Collection Posts
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| collection_id | string | query | हां | संग्रह आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-posts" querystring = {"collection_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/download-music संगीत डाउनलोड करें
Download Music
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| music_id | string | query | हां | संगीत आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
| format | string | query | नहीं | प्रारूप |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-music" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/download-video वीडियो डाउनलोड करें
Download Video
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
| format | string | query | नहीं | प्रारूप |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-video" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/effect-info इफ़ेक्ट जानकारी
Effect Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| effect_id | string | query | हां | इफ़ेक्ट आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-info" querystring = {"effect_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/effect-posts इफ़ेक्ट पोस्ट
Effect Posts
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| effect_id | string | query | हां | इफ़ेक्ट आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-posts" querystring = {"effect_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/live-category लाइव श्रेणी
Live Category
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| device_id | string | query | नहीं | डिवाइस आईडी |
| lang | string | query | नहीं | भाषा |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-category" querystring = {"device_id":"SOME_STRING_VALUE","lang":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/live-check-alive लाइव चेक अलाइव
Live Check Alive
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| room_id | string | query | हां | कमरे का आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-check-alive" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/live-stream लाइव स्ट्रीम
Live Stream
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| room_id | string | query | हां | कमरे का आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-stream" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/music-info संगीत जानकारी
Music Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| music_id | string | query | हां | संगीत आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-info" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/music-posts संगीत पोस्ट
Music Posts
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| music_id | string | query | हां | संगीत आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-posts" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/music-unlimited-sounds संगीत अनलिमिटेड साउंड्स
Music Unlimited Sounds
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| music_id | string | query | हां | संगीत आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/place-info स्थान जानकारी
Place Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| challenge_id | string | query | हां | चुनौती आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/place-posts स्थान पोस्ट
Place Posts
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| challenge_id | string | query | हां | चुनौती आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-category पोस्ट श्रेणी
Post Category
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | हां | सिक यूआईडी |
| category_type | string | query | नहीं | श्रेणी प्रकार |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-category" querystring = {"sec_uid":"SOME_STRING_VALUE","category_type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-comments पोस्ट टिप्पणियाँ
Post Comments
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-detail पोस्ट विवरण
Post Detail
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
| from | string | query | नहीं | से |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","from":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-discover-keyword पोस्ट डिस्कवर कीवर्ड
Post Discover Keyword
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-related संबंधित पोस्ट
Post Related
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-related" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/post-reply-comments पोस्ट रिप्लाई टिप्पणियाँ
Post Reply Comments
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| comment_id | string | query | हां | टिप्पणी आईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-reply-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/search-account खाता खोजें
Search Account
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
| search_id | string | query | नहीं | खोज आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-account" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/search-general सामान्य खोज
Search General
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| search_id | string | query | नहीं | खोज आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-general" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/search-live लाइव खोज
Search Live
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
| search_id | string | query | नहीं | खोज आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-live" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/search-suggest-keyword खोज सुझाव कीवर्ड
Search Suggest Keyword
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/search-video वीडियो खोजें
Search Video
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
| search_id | string | query | नहीं | खोज आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-video" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-ads-detail ट्रेंडिंग विज्ञापन विवरण
Trending Ads Detail
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| aweme_id | string | query | हां | Aweme आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-commercial-music-library ट्रेंडिंग कॉमर्शियल म्यूजिक लाइब्रेरी
Trending Commercial Music Library
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-commercial-music-playlist ट्रेंडिंग कॉमर्शियल म्यूजिक प्लेलिस्ट
Trending Commercial Music Playlist
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-commercial-music-playlist-detail ट्रेंडिंग कॉमर्शियल म्यूजिक प्लेलिस्ट विवरण
Trending Commercial Music Playlist Detail
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| playlist_id | string | query | हां | प्लेलिस्ट आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail" querystring = {"playlist_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-creator ट्रेंडिंग क्रिएटर
Trending Creator
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-creator" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-hashtag ट्रेंडिंग हैशटैग
Trending Hashtag
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-hashtag" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-keyword ट्रेंडिंग कीवर्ड
Trending Keyword
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-keyword-sentence ट्रेंडिंग कीवर्ड वाक्य
Trending Keyword Sentence
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-song ट्रेंडिंग गीत
Trending Song
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-song" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-top-ads ट्रेंडिंग टॉप विज्ञापन
Trending Top Ads
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
| period | string | query | नहीं | अवधि |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-ads" querystring = {"keyword":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","period":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-top-product-detail ट्रेंडिंग टॉप उत्पाद विवरण
Trending Top Product Detail
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| product_id | string | query | हां | उत्पाद आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-top-product-metrics ट्रेंडिंग टॉप उत्पाद मीट्रिक्स
Trending Top Product Metrics
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| product_id | string | query | हां | उत्पाद आईडी |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-top-products ट्रेंडिंग टॉप उत्पाद
Trending Top Products
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-products" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-video ट्रेंडिंग वीडियो
Trending Video
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| period | string | query | हां | अवधि |
| country_code | string | query | नहीं | देश कोड |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/trending-video-by-keyword कीवर्ड द्वारा ट्रेंडिंग वीडियो
Trending Video By Keyword
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| keyword | string | query | हां | कीवर्ड |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
| device_id | string | query | नहीं | डिवाइस आईडी |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-followers उपयोगकर्ता अनुयायी
User Followers
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | हां | सिक यूआईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| min_cursor | string | query | नहीं | न्यूनतम कर्सर |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-followers" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","min_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-following उपयोगकर्ता फॉलोइंग
User Following
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | हां | सिक यूआईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-following" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-info उपयोगकर्ता जानकारी
User Info
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | नहीं | सिक यूआईडी |
| unique_id | string | query | नहीं | यूनिक आईडी |
| with_commerce_info | string | query | नहीं | कॉमर्स जानकारी के साथ |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-info-by-id ID द्वारा उपयोगकर्ता जानकारी
User Info By Id
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| user_id | string | query | हां | उपयोगकर्ता आईडी |
| with_commerce_info | string | query | नहीं | कॉमर्स जानकारी के साथ |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-by-id" querystring = {"user_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-info-v2 उपयोगकर्ता जानकारी V2
User Info V2
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | नहीं | सिक यूआईडी |
| unique_id | string | query | नहीं | यूनिक आईडी |
| with_commerce_info | string | query | नहीं | कॉमर्स जानकारी के साथ |
कोड उदाहरण
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-v2" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); प्रतिक्रियाएं
/user-playlist उपयोगकर्ता प्लेलिस्ट
User Playlist
पैरामीटर
| नाम | प्रकार | स्थान | आवश्यक | विवरण |
|---|---|---|---|---|
| sec_uid | string | query | हां | सिक यूआईडी |
| count | integer | query | नहीं | वापस लौटाने के लिए परिणामों की संख्या |
| cursor | integer | query | नहीं | कर्सर |
[...]
